kind: BuildConfig
apiVersion: build.openshift.io/v1
metadata:
  annotations:
    meta.helm.sh/release-name: autoupgrading-app
    meta.helm.sh/release-namespace: prova
  resourceVersion: '10167471'
  name: autoupgrading-app-build-artifacts
  uid: 63b779b0-12ca-4699-8b32-f323f08ec9f4
  creationTimestamp: '2022-11-28T09:52:13Z'
  generation: 2
  managedFields:
    - manager: Go-http-client
      operation: Update
      apiVersion: build.openshift.io/v1
      time: '2022-11-28T09:52:13Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:lastVersion': {}
    - manager: helm
      operation: Update
      apiVersion: build.openshift.io/v1
      time: '2022-11-28T09:52:13Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:meta.helm.sh/release-name': {}
            'f:meta.helm.sh/release-namespace': {}
          'f:labels':
            'f:helm.sh/chart': {}
            'f:com.redhat.component-version': {}
            'f:app.openshift.io/runtime': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:com.redhat.product-name': {}
            'f:com.redhat.component-type': {}
            'f:app.kubernetes.io/name': {}
            .: {}
            'f:app.kubernetes.io/instance': {}
            'f:com.redhat.product-version': {}
            'f:com.company': {}
            'f:com.redhat.component-name': {}
        'f:spec':
          'f:output':
            'f:to': {}
          'f:runPolicy': {}
          'f:source':
            'f:contextDir': {}
            'f:git':
              .: {}
              'f:ref': {}
              'f:uri': {}
            'f:type': {}
          'f:strategy':
            'f:sourceStrategy':
              .: {}
              'f:env': {}
              'f:forcePull': {}
              'f:from': {}
              'f:incremental': {}
            'f:type': {}
          'f:triggers': {}
  namespace: prova
  labels:
    com.redhat.product-name: Red_Hat_Runtimes
    com.redhat.component-type: application
    app.kubernetes.io/instance: autoupgrading-app
    com.redhat.product-version: 2023-Q1
    com.company: Red_Hat
    com.redhat.component-version: '8.0'
    app.openshift.io/runtime: eap
    com.redhat.component-name: EAP
    app.kubernetes.io/managed-by: Helm
    helm.sh/chart: eap8-1.0.0-beta
    app.kubernetes.io/name: eap8
spec:
  nodeSelector: null
  output:
    to:
      kind: ImageStreamTag
      name: 'autoupgrading-app-build-artifacts:latest'
  resources: {}
  successfulBuildsHistoryLimit: 5
  failedBuildsHistoryLimit: 5
  strategy:
    type: Source
    sourceStrategy:
      from:
        kind: ImageStreamTag
        name: 'jboss-eap-8-tech-preview-eap8-openjdk17-builder-openshift-rhel8:latest'
      env:
        - name: CUSTOM_INSTALL_DIRECTORIES
          value: extensions
        - name: MAVEN_ARGS_APPEND
          value: '-Dinsecure.repositories=WARN'
      incremental: true
      forcePull: true
  postCommit: {}
  source:
    type: Git
    git:
      uri: 'https://github.com/wildfly/quickstart.git'
      ref: main
    contextDir: helloworld
  triggers:
    - type: ConfigChange
  runPolicy: Serial
status:
  lastVersion: 1
